/*
 * Copyright 2013 Mark Slater
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package net.sourceforge.writexml;

import java.util.Iterator;

import static java.util.Arrays.asList;

public final class Attributes implements Iterable<Attribute> {

    private final Iterable<Attribute> attributes;

    private Attributes(final Iterable<Attribute> attributes) {
        this.attributes = attributes;
    }

    public static Attributes attributes(Attribute... attributes) {
        return new Attributes(asList(attributes));
    }

    public Attributes append(final Attribute attribute) {
        return new Attributes(CollectionUtils.append(attributes, attribute));
    }

    public Iterator<Attribute> iterator() {
        return attributes.iterator();
    }
}
